package org.onap.simulator.presetGenerator.presets.aai;

import org.onap.simulator.presetGenerator.presets.BasePresets.BaseAAIPreset;
import org.springframework.http.HttpMethod;

public class PresetAAIGetNetworkZones extends BaseAAIPreset {


    @Override
    public HttpMethod getReqMethod() {
        return HttpMethod.GET;
    }

    @Override
    public String getReqPath() { 
        return getRootPath() + "/network/zones";
    }

    @Override
    public Object getResponseBody() {
        return "{" +
                "      \"zone\": [" +
                "        {" +
                "          \"zone-id\": \"NFT1\"," +
                "          \"zone-name\": \"NFTJSSSS-NFT1\"" +
                "        }," +
                "        {" +
                "          \"zone-id\": \"JAG1\"," +
                "          \"zone-name\": \"YUDFJULP-JAG1\"" +
                "        }," +
                "        {" +
                "          \"zone-id\": \"YYY1\"," +
                "          \"zone-name\": \"UUUAIAAI-YYY1\"" +
                "        }," +
                "        {" +
                "          \"zone-id\": \"BAN1\"," +
                "          \"zone-name\": \"VSDKYUTP-BAN1\"" +
                "        }," +
                "        {" +
                "          \"zone-id\": \"DKJ1\"," +
                "          \"zone-name\": \"DKJSJDKA-DKJ1\"" +
                "        }," +
                "        {" +
                "          \"zone-id\": \"MCS1\"," +
                "          \"zone-name\": \"ASACMAMS-MCS1\"" +
                "        }," +
                "        {" +
                "          \"zone-id\": \"UIO1\"," +
                "          \"zone-name\": \"uioclli1-UIO1\"" +
                "        }," +
                "        {" +
                "          \"zone-id\": \"RAJ1\"," +
                "          \"zone-name\": \"YGBIJNLQ-RAJ1\"" +
                "        }," +
                "        {" +
                "          \"zone-id\": \"OPA1\"," +
                "          \"zone-name\": \"opaclli1-OPA1\"" +
                "        }," +
                "        {" +
                "          \"zone-id\": \"SDE1\"," +
                "          \"zone-name\": \"ZXCVBNMA-SDE1\"" +
                "        }," +
                "        {" +
                "          \"zone-id\": \"VEN2\"," +
                "          \"zone-name\": \"FGHJUHIL-VEN2\"" +
                "        }," +
                "        {" +
                "          \"zone-id\": \"ORL1\"," +
                "          \"zone-name\": \"ORLDFLMA-ORL1\"" +
                "        }," +
                "        {" +
                "          \"zone-id\": \"JAD1\"," +
                "          \"zone-name\": \"JADECLLI-JAD1\"" +
                "        }," +
                "        {" +
                "          \"zone-id\": \"ZXL1\"," +
                "          \"zone-name\": \"LWLWCANN-ZXL1\"" +
                "        }," +
                "        {" +
                "          \"zone-id\": \"CKL1\"," +
                "          \"zone-name\": \"CLKSKCKK-CKL1\"" +
                "        }," +
                "        {" +
                "          \"zone-id\": \"SDF1\"," +
                "          \"zone-name\": \"sdfclli1-SDF1\"" +
                "        }," +
                "        {" +
                "          \"zone-id\": \"RAD1\"," +
                "          \"zone-name\": \"RADICAL1-RAD1\"" +
                "        }," +
                "        {" +
                "          \"zone-id\": \"KIT1\"," +
                "          \"zone-name\": \"BHYJFGLN-KIT1\"" +
                "        }," +
                "        {" +
                "          \"zone-id\": \"REL1\"," +
                "          \"zone-name\": \"INGERFGT-REL1\"" +
                "        }," +
                "        {" +
                "          \"zone-id\": \"JNL1\"," +
                "          \"zone-name\": \"CJALSDAC-JNL1\"" +
                "        }," +
                "        {" +
                "          \"zone-id\": \"OLK1\"," +
                "          \"zone-name\": \"OLKOLKLS-OLK1\"" +
                "        }," +
                "        {" +
                "          \"zone-id\": \"CHI1\"," +
                "          \"zone-name\": \"CHILLIWE-CHI1\"" +
                "        }," +
                "        {" +
                "          \"zone-id\": \"UUU4\"," +
                "          \"zone-name\": \"UUUAAAUU-UUU4\"" +
                "        }," +
                "        {" +
                "          \"zone-id\": \"TUF1\"," +
                "          \"zone-name\": \"TUFCLLI1-TUF1\"" +
                "        }," +
                "        {" +
                "          \"zone-id\": \"KJN1\"," +
                "          \"zone-name\": \"CKALDKSA-KJN1\"" +
                "        }," +
                "        {" +
                "          \"zone-id\": \"SAM1\"," +
                "          \"zone-name\": \"SNDGCA64-SAN1\"" +
                "        }," +
                "        {" +
                "          \"zone-id\": \"SCK1\"," +
                "          \"zone-name\": \"SCKSCKSK-SCK1\"" +
                "        }," +
                "        {" +
                "          \"zone-id\": \"HJH1\"," +
                "          \"zone-name\": \"AOEEQQQD-HJH1\"" +
                "        }," +
                "        {" +
                "          \"zone-id\": \"HGD1\"," +
                "          \"zone-name\": \"SDFQWHGD-HGD1\"" +
                "        }," +
                "        {" +
                "          \"zone-id\": \"KOR1\"," +
                "          \"zone-name\": \"HYFLNBVT-KOR1\"" +
                "        }," +
                "        {" +
                "          \"zone-id\": \"ATL43\"," +
                "          \"zone-name\": \"AICLOCID-ATL43\"" +
                "        }," +
                "        {" +
                "          \"zone-id\": \"ATL54\"," +
                "          \"zone-name\": \"AICFTAAI-ATL54\"" +
                "        }," +
                "        {" +
                "          \"zone-id\": \"ATL66\"," +
                "          \"zone-name\": \"CLLIAAII-ATL66\"" +
                "        }," +
                "        {" +
                "          \"zone-id\": \"VEL1\"," +
                "          \"zone-name\": \"BNMLKUIK-VEL1\"" +
                "        }," +
                "        {" +
                "          \"zone-id\": \"ICC1\"," +
                "          \"zone-name\": \"SANJITAT-ICC1\"" +
                "        }," +
                "        {" +
                "          \"zone-id\": \"MNT11\"," +
                "          \"zone-name\": \"WSXEFBTH-MNT11\"" +
                "        }," +
                "        {" +
                "          \"zone-id\": \"DEF2\"," +
                "          \"zone-name\": \"WSBHGTYL-DEF2\"" +
                "        }," +
                "        {" +
                "          \"zone-id\": \"MAD11\"," +
                "          \"zone-name\": \"SDFQWGKL-MAD11\"" +
                "        }," +
                "        {" +
                "          \"zone-id\": \"OLG1\"," +
                "          \"zone-name\": \"OLHOLHOL-OLG1\"" +
                "        }," +
                "        {" +
                "          \"zone-id\": \"GAR1\"," +
                "          \"zone-name\": \"NGFVSJKO-GAR1\"" +
                "        }," +
                "        {" +
                "          \"zone-id\": \"SAN22\"," +
                "          \"zone-name\": \"GNVLSCTL-SAN22\"" +
                "        }," +
                "        {" +
                "          \"zone-id\": \"HRG1\"," +
                "          \"zone-name\": \"HRGHRGGS-HRG1\"" +
                "        }," +
                "        {" +
                "          \"zone-id\": \"JCS1\"," +
                "          \"zone-name\": \"JCSJSCJS-JCS1\"" +
                "        }," +
                "        {" +
                "          \"zone-id\": \"DHA12\"," +
                "          \"zone-name\": \"WSXEDECF-DHA12\"" +
                "        }," +
                "        {" +
                "          \"zone-id\": \"HJE1\"," +
                "          \"zone-name\": \"AOEEWWWD-HJE1\"" +
                "        }," +
                "        {" +
                "          \"zone-id\": \"NCA1\"," +
                "          \"zone-name\": \"NCANCANN-NCA1\"" +
                "        }," +
                "        {" +
                "          \"zone-id\": \"IOP1\"," +
                "          \"zone-name\": \"iopclli1-IOP1\"" +
                "        }," +
                "        {" +
                "          \"zone-id\": \"RTY1\"," +
                "          \"zone-name\": \"rtyclli1-RTY1\"" +
                "        }," +
                "        {" +
                "          \"zone-id\": \"KAP1\"," +
                "          \"zone-name\": \"HIOUYTRQ-KAP1\"" +
                "        }," +
                "        {" +
                "          \"zone-id\": \"ZEN1\"," +
                "          \"zone-name\": \"ZENCLLI1-ZEN1\"" +
                "        }," +
                "        {" +
                "          \"zone-id\": \"HKA1\"," +
                "          \"zone-name\": \"JAKHLASS-HKA1\"" +
                "        }," +
                "        {" +
                "          \"zone-id\": \"CQK1\"," +
                "          \"zone-name\": \"CQKSCAKK-CQK1\"" +
                "        }," +
                "        {" +
                "          \"zone-id\": \"SAI1\"," +
                "          \"zone-name\": \"UBEKQLPD-SAI1\"" +
                "        }," +
                "        {" +
                "          \"zone-id\": \"ERT1\"," +
                "          \"zone-name\": \"ertclli1-ERT1\"" +
                "        }," +
                "        {" +
                "          \"zone-id\": \"IBB1\"," +
                "          \"zone-name\": \"PLMKOIJU-IBB1\"" +
                "        }," +
                "        {" +
                "          \"zone-id\": \"TIR2\"," +
                "          \"zone-name\": \"PLKINHYI-TIR2\"" +
                "        }," +
                "        {" +
                "          \"zone-id\": \"HSD1\"," +
                "          \"zone-name\": \"CHASKCDS-HSD1\"" +
                "        }," +
                "        {" +
                "          \"zone-id\": \"SLF78\"," +
                "          \"zone-name\": \"SDCTLFN1-SLF78\"" +
                "        }," +
                "        {" +
                "          \"zone-id\": \"SEE78\"," +
                "          \"zone-name\": \"SDCTEEE4-SEE78\"" +
                "        }," +
                "        {" +
                "          \"zone-id\": \"SAN13\"," +
                "          \"zone-name\": \"TOKYJPFA-SAN13\"" +
                "        }," +
                "        {" +
                "          \"zone-id\": \"SAA78\"," +
                "          \"zone-name\": \"SDCTAAA1-SAA78\"" +
                "        }," +
                "        {" +
                "          \"zone-id\": \"LUC1\"," +
                "          \"zone-name\": \"ATLDFGYC-LUC1\"" +
                "        }," +
                "        {" +
                "          \"zone-id\": \"AMD13\"," +
                "          \"zone-name\": \"MEMATLAN-AMD13\"" +
                "        }," +
                "        {" +
                "          \"zone-id\": \"TOR1\"," +
                "          \"zone-name\": \"TOROONXN-TOR1\"" +
                "        }," +
                "        {" +
                "          \"zone-id\": \"QWE1\"," +
                "          \"zone-name\": \"QWECLLI1-QWE1\"" +
                "        }," +
                "        {" +
                "          \"zone-id\": \"ZOG1\"," +
                "          \"zone-name\": \"ZOGASTRO-ZOG1\"" +
                "        }," +
                "        {" +
                "          \"zone-id\": \"CAL33\"," +
                "          \"zone-name\": \"CALIFORN-CAL33\"" +
                "        }," +
                "        {" +
                "          \"zone-id\": \"SHH78\"," +
                "          \"zone-name\": \"SDIT1HHH-SHH78\"" +
                "        }," +
                "        {" +
                "          \"zone-id\": \"DSA1\"," +
                "          \"zone-name\": \"LKJHGFDS-DSA1\"" +
                "        }," +
                "        {" +
                "          \"zone-id\": \"CLG1\"," +
                "          \"zone-name\": \"CLGRABAD-CLG1\"" +
                "        }," +
                "        {" +
                "          \"zone-id\": \"BNA1\"," +
                "          \"zone-name\": \"BNARAGBK-BNA1\"" +
                "        }," +
                "        {" +
                "          \"zone-id\": \"ATL84\"," +
                "          \"zone-name\": \"CANTTCOC-ATL84\"" +
                "        }," +
                "        {" +
                "          \"zone-id\": \"APP1\"," +
                "          \"zone-name\": \"WBHGTYUI-APP1\"" +
                "        }," +
                "        {" +
                "          \"zone-id\": \"RJN1\"," +
                "          \"zone-name\": \"RJNRBZAW-RJN1\"" +
                "        }," +
                "        {" +
                "          \"zone-id\": \"EHH78\"," +
                "          \"zone-name\": \"SDCSHHH5-EHH78\"" +
                "        }," +
                "        {" +
                "          \"zone-id\": \"mac10\"," +
                "          \"zone-name\": \"PKGTESTF-mac10\"" +
                "        }," +
                "        {" +
                "          \"zone-id\": \"SXB78\"," +
                "          \"zone-name\": \"SDCTGXB1-SXB78\"" +
                "        }," +
                "        {" +
                "          \"zone-id\": \"SAX78\"," +
                "          \"zone-name\": \"SDCTAXG1-SAX78\"" +
                "        }," +
                "        {" +
                "          \"zone-id\": \"SYD1\"," +
                "          \"zone-name\": \"SYDNAUBV-SYD1\"" +
                "        }," +
                "        {" +
                "          \"zone-id\": \"TOK1\"," +
                "          \"zone-name\": \"TOKYJPFA-TOK1\"" +
                "        }," +
                "        {" +
                "          \"zone-id\": \"KGM2\"," +
                "          \"zone-name\": \"KGMTNC20-KGM2\"" +
                "        }," +
                "        {" +
                "          \"zone-id\": \"DCC1b\"," +
                "          \"zone-name\": \"POIUYTGH-DCC1b\"" +
                "        }," +
                "        {" +
                "          \"zone-id\": \"SKK78\"," +
                "          \"zone-name\": \"SDCTKKK1-SKK78\"" +
                "        }," +
                "        {" +
                "          \"zone-id\": \"SGG78\"," +
                "          \"zone-name\": \"SDCTGGG1-SGG78\"" +
                "        }," +
                "        {" +
                "          \"zone-id\": \"SJJ78\"," +
                "          \"zone-name\": \"SDCTJJJ1-SJJ78\"" +
                "        }," +
                "        {" +
                "          \"zone-id\": \"SBX78\"," +
                "          \"zone-name\": \"SDCTBXG1-SBX78\"" +
                "        }," +
                "        {" +
                "          \"zone-id\": \"LAG1\"," +
                "          \"zone-name\": \"LARGIZON-LAG1\"" +
                "        }," +
                "        {" +
                "          \"zone-id\": \"IAA1\"," +
                "          \"zone-name\": \"QAZXSWED-IAA1\"" +
                "        }," +
                "        {" +
                "          \"zone-id\": \"POI1\"," +
                "          \"zone-name\": \"PLMNJKIU-POI1\"" +
                "        }," +
                "        {" +
                "          \"zone-id\": \"LAG1a\"," +
                "          \"zone-name\": \"LARGIZON-LAG1a\"" +
                "        }," +
                "        {" +
                "          \"zone-id\": \"PBL1\"," +
                "          \"zone-name\": \"PBLAPBAI-PBL1\"" +
                "        }," +
                "        {" +
                "          \"zone-id\": \"LAG45\"," +
                "          \"zone-name\": \"LARGIZON-LAG1a\"" +
                "        }," +
                "        {" +
                "          \"zone-id\": \"MAR1\"," +
                "          \"zone-name\": \"MNBVCXZM-MAR1\"" +
                "        }," +
                "        {" +
                "          \"zone-id\": \"HST70\"," +
                "          \"zone-name\": \"HSTNTX70-HST70\"" +
                "        }," +
                "        {" +
                "          \"zone-id\": \"DCC1a\"," +
                "          \"zone-name\": \"POIUYTGH-DCC1a\"" +
                "        }," +
                "        {" +
                "          \"zone-id\": \"TOL1\"," +
                "          \"zone-name\": \"TOLDOH21-TOL1\"" +
                "        }," +
                "        {" +
                "          \"zone-id\": \"LON1\"," +
                "          \"zone-name\": \"LONEENCO-LON1\"" +
                "        }," +
                "        {" +
                "          \"zone-id\": \"SJU78\"," +
                "          \"zone-name\": \"SDIT1JUB-SJU78\"" +
                "        }," +
                "        {" +
                "          \"zone-id\": \"STN27\"," +
                "          \"zone-name\": \"HSTNTX01-STN27\"" +
                "        }," +
                "        {" +
                "          \"zone-id\": \"SSW56\"," +
                "          \"zone-name\": \"ss8126GT-SSW56\"" +
                "        }," +
                "        {" +
                "          \"zone-id\": \"SBB78\"," +
                "          \"zone-name\": \"SDIT1BBB-SBB78\"" +
                "        }," +
                "        {" +
                "          \"zone-id\": \"DCC3\"," +
                "          \"zone-name\": \"POIUYTGH-DCC3\"" +
                "        }," +
                "        {" +
                "          \"zone-id\": \"GNV1\"," +
                "          \"zone-name\": \"GNVLSCTL-GNV1\"" +
                "        }," +
                "        {" +
                "          \"zone-id\": \"WAS1\"," +
                "          \"zone-name\": \"WASHDCSW-WAS1\"" +
                "        }," +
                "        {" +
                "          \"zone-id\": \"TOY1\"," +
                "          \"zone-name\": \"TORYONNZ-TOY1\"" +
                "        }," +
                "        {" +
                "          \"zone-id\": \"STT1\"," +
                "          \"zone-name\": \"STTLWA02-STT1\"" +
                "        }," +
                "        {" +
                "          \"zone-id\": \"STG1\"," +
                "          \"zone-name\": \"STTGGE62-STG1\"" +
                "        }," +
                "        {" +
                "          \"zone-id\": \"SLL78\"," +
                "          \"zone-name\": \"SDCTLLL1-SLL78\"" +
                "        }," +
                "        {" +
                "          \"zone-id\": \"SBU78\"," +
                "          \"zone-name\": \"SDIT1BUB-SBU78\"" +
                "        }," +
                "        {" +
                "          \"zone-id\": \"ATL2\"," +
                "          \"zone-name\": \"ATLNGANW-ATL2\"" +
                "        }," +
                "        {" +
                "          \"zone-id\": \"BOT1\"," +
                "          \"zone-name\": \"BOTHWAKY-BOT1\"" +
                "        }," +
                "        {" +
                "          \"zone-id\": \"SNG1\"," +
                "          \"zone-name\": \"SNGPSIAU-SNG1\"" +
                "        }," +
                "        {" +
                "          \"zone-id\": \"NYC1\"," +
                "          \"zone-name\": \"NYCMNY54-NYC1\"" +
                "        }," +
                "        {" +
                "          \"zone-id\": \"LAG1b\"," +
                "          \"zone-name\": \"LARGIZON-LAG1b\"" +
                "        }," +
                "        {" +
                "          \"zone-id\": \"AMD15\"," +
                "          \"zone-name\": \"AMDFAA01-AMD15\"" +
                "        }," +
                "        {" +
                "          \"zone-id\": \"SNA1\"," +
                "          \"zone-name\": \"SNANTXCA-SNA1\"" +
                "        }," +
                "        {" +
                "          \"zone-id\": \"PLT1\"," +
                "          \"zone-name\": \"PLTNCA60-PLT1\"" +
                "        }," +
                "        {" +
                "          \"zone-id\": \"TLP1\"," +
                "          \"zone-name\": \"TLPNXM18-TLP1\"" +
                "        }," +
                "        {" +
                "          \"zone-id\": \"SDD81\"," +
                "          \"zone-name\": \"SAIT1DD6-SDD81\"" +
                "        }," +
                "        {" +
                "          \"zone-id\": \"DCC1\"," +
                "          \"zone-name\": \"POIUYTGH-DCC1\"" +
                "        }," +
                "        {" +
                "          \"zone-id\": \"DCC2\"," +
                "          \"zone-name\": \"POIUYTGH-DCC2\"" +
                "        }," +
                "        {" +
                "          \"zone-id\": \"OKC1\"," +
                "          \"zone-name\": \"OKCBOK55-OKC1\"" +
                "        }," +
                "        {" +
                "          \"zone-id\": \"PAR1\"," +
                "          \"zone-name\": \"PARSFRCG-PAR1\"" +
                "        }," +
                "        {" +
                "          \"zone-id\": \"TES36\"," +
                "          \"zone-name\": \"ABCEETES-TES36\"" +
                "        }," +
                "        {" +
                "          \"zone-id\": \"COM1\"," +
                "          \"zone-name\": \"PLMKOPIU-COM1\"" +
                "        }," +
                "        {" +
                "          \"zone-id\": \"ANI1\"," +
                "          \"zone-name\": \"ATLNGTRE-ANI1\"" +
                "        }," +
                "        {" +
                "          \"zone-id\": \"SDG78\"," +
                "          \"zone-name\": \"SDIT1BDG-SDG78\"" +
                "        }," +
                "        {" +
                "          \"zone-id\": \"mac20\"," +
                "          \"zone-name\": \"PKGTESTF-mac20\"" +
                "        }," +
                "        {" +
                "          \"zone-id\": \"DSF45\"," +
                "          \"zone-name\": \"DSFBG123-DSF45\"" +
                "        }," +
                "        {" +
                "          \"zone-id\": \"HST25\"," +
                "          \"zone-name\": \"HSTNTX01-HST25\"" +
                "        }," +
                "        {" +
                "          \"zone-id\": \"AMD18\"," +
                "          \"zone-name\": \"AUDIMA01-AMD18\"" +
                "        }," +
                "        {" +
                "          \"zone-id\": \"SAA80\"," +
                "          \"zone-name\": \"SAIT9AA3-SAA80\"" +
                "        }," +
                "        {" +
                "          \"zone-id\": \"SSA56\"," +
                "          \"zone-name\": \"SSIT2AA7-SSA56\"" +
                "        }," +
                "        {" +
                "          \"zone-id\": \"SDD82\"," +
                "          \"zone-name\": \"SAIT1DD9-SDD82\"" +
                "        }," +
                "        {" +
                "          \"zone-id\": \"JCV1\"," +
                "          \"zone-name\": \"JCVLFLBW-JCV1\"" +
                "        }," +
                "        {" +
                "          \"zone-id\": \"SUL2\"," +
                "          \"zone-name\": \"WERTYUJK-SUL2\"" +
                "        }," +
                "        {" +
                "          \"zone-id\": \"PUR1\"," +
                "          \"zone-name\": \"purelyde-PUR1\"" +
                "        }," +
                "        {" +
                "          \"zone-id\": \"FDE55\"," +
                "          \"zone-name\": \"FDERT555-FDE55\"" +
                "        }," +
                "        {" +
                "          \"zone-id\": \"SITE\"," +
                "          \"zone-name\": \"LONEENCO-SITE\"" +
                "        }," +
                "        {" +
                "          \"zone-id\": \"ATL1\"," +
                "          \"zone-name\": \"ATLNGAMA-ATL1\"" +
                "        }," +
                "        {" +
                "          \"zone-id\": \"JUL1\"," +
                "          \"zone-name\": \"ZXCVBNMM-JUL1\"" +
                "        }," +
                "        {" +
                "          \"zone-id\": \"TAT34\"," +
                "          \"zone-name\": \"TESAAISB-TAT34\"" +
                "        }," +
                "        {" +
                "          \"zone-id\": \"XCP12\"," +
                "          \"zone-name\": \"CHKGH123-XCP12\"" +
                "        }," +
                "        {" +
                "          \"zone-id\": \"RAI1\"," +
                "          \"zone-name\": \"poiuytre-RAI1\"" +
                "        }," +
                "        {" +
                "          \"zone-id\": \"HPO1\"," +
                "          \"zone-name\": \"ATLNGAUP-HPO1\"" +
                "        }," +
                "        {" +
                "          \"zone-id\": \"KJF12\"," +
                "          \"zone-name\": \"KJFDH123-KJF12\"" +
                "        }," +
                "        {" +
                "          \"zone-id\": \"SCC80\"," +
                "          \"zone-name\": \"SAIT9CC3-SCC80\"" +
                "        }," +
                "        {" +
                "          \"zone-id\": \"SAA12\"," +
                "          \"zone-name\": \"SAIT9AF8-SAA12\"" +
                "        }," +
                "        {" +
                "          \"zone-id\": \"SAA14\"," +
                "          \"zone-name\": \"SAIT1AA9-SAA14\"" +
                "        }," +
                "        {" +
                "          \"zone-id\": \"ATL35\"," +
                "          \"zone-name\": \"TTESSAAI-ATL35\"" +
                "        }," +
                "        {" +
                "          \"zone-id\": \"CWY1\"," +
                "          \"zone-name\": \"CWYMOWBS-CWY1\"" +
                "        }," +
                "        {" +
                "          \"zone-id\": \"ATL76\"," +
                "          \"zone-name\": \"TELEPAAI-ATL76\"" +
                "        }," +
                "        {" +
                "          \"zone-id\": \"DSL12\"," +
                "          \"zone-name\": \"DSLFK242-DSL12\"" +
                "        }," +
                "        {" +
                "          \"zone-id\": \"ATL53\"," +
                "          \"zone-name\": \"AAIATLTE-ATL53\"" +
                "        }," +
                "        {" +
                "          \"zone-id\": \"SAA11\"," +
                "          \"zone-name\": \"SAIT9AA2-SAA11\"" +
                "        }," +
                "        {" +
                "          \"zone-id\": \"ATL62\"," +
                "          \"zone-name\": \"TESSASCH-ATL62\"" +
                "        }," +
                "        {" +
                "          \"zone-id\": \"AUG1\"," +
                "          \"zone-name\": \"ASDFGHJK-AUG1\"" +
                "        }," +
                "        {" +
                "          \"zone-id\": \"POI22\"," +
                "          \"zone-name\": \"POIUY123-POI22\"" +
                "        }," +
                "        {" +
                "          \"zone-id\": \"SAA13\"," +
                "          \"zone-name\": \"SAIT1AA9-SAA13\"" +
                "        }," +
                "        {" +
                "          \"zone-id\": \"BHY17\"," +
                "          \"zone-name\": \"BHYTFRF3-BHY17\"" +
                "        }," +
                "        {" +
                "          \"zone-id\": \"LIS1\"," +
                "          \"zone-name\": \"HOSTPROF-LIS1\"" +
                "        }," +
                "        {" +
                "          \"zone-id\": \"SIP1\"," +
                "          \"zone-name\": \"ZXCVBNMK-SIP1\"" +
                "        }," +
                "        {" +
                "          \"zone-id\": \"ATL99\"," +
                "          \"zone-name\": \"TEESTAAI-ATL43\"" +
                "        }," +
                "        {" +
                "          \"zone-id\": \"ATL64\"," +
                "          \"zone-name\": \"FORLOAAJ-ATL64\"" +
                "        }," +
                "        {" +
                "          \"zone-id\": \"TAT33\"," +
                "          \"zone-name\": \"TESAAISA-TAT33\"" +
                "        }," +
                "        {" +
                "          \"zone-id\": \"RAD10\"," +
                "          \"zone-name\": \"INDIPUNE-RAD10\"" +
                "        }," +
                "        {" +
                "          \"zone-id\": \"RTW5\"," +
                "          \"zone-name\": \"BHYTFRY4-RTW5\"" +
                "        }," +
                "        {" +
                "          \"zone-id\": \"JGS1\"," +
                "          \"zone-name\": \"KSJKKKKK-JGS1\"" +
                "        }," +
                "        {" +
                "          \"zone-id\": \"ATL98\"," +
                "          \"zone-name\": \"TEESTAAI-ATL43\"" +
                "        }," +
                "        {" +
                "          \"zone-id\": \"WAN1\"," +
                "          \"zone-name\": \"LEIWANGW-WAN1\"" +
                "        }," +
                "        {" +
                "          \"zone-id\": \"ATL44\"," +
                "          \"zone-name\": \"ATLSANAB-ATL44\"" +
                "        }," +
                "        {" +
                "          \"zone-id\": \"RTD2\"," +
                "          \"zone-name\": \"BHYTFRk4-RTD2\"" +
                "        }," +
                "        {" +
                "          \"zone-id\": \"NIR1\"," +
                "          \"zone-name\": \"ORFLMANA-NIR1\"" +
                "        }," +
                "        {" +
                "          \"zone-id\": \"ATL75\"," +
                "          \"zone-name\": \"SANAAIRE-ATL75\"" +
                "        }," +
                "        {" +
                "          \"zone-id\": \"NUM1\"," +
                "          \"zone-name\": \"QWERTYUI-NUM1\"" +
                "        }," +
                "        {" +
                "          \"zone-id\": \"MTN32\"," +
                "          \"zone-name\": \"MDTWNJ21-MTN32\"" +
                "        }," +
                "        {" +
                "          \"zone-id\": \"RTZ4\"," +
                "          \"zone-name\": \"BHYTFRZ6-RTZ4\"" +
                "        }," +
                "        {" +
                "          \"zone-id\": \"ATL56\"," +
                "          \"zone-name\": \"ATLSANAC-ATL56\"" +
                "        }," +
                "        {" +
                "          \"zone-id\": \"AMS1\"," +
                "          \"zone-name\": \"AMSTNLBW-AMS1\"" +
                "        }," +
                "        {" +
                "          \"zone-id\": \"RCT1\"," +
                "          \"zone-name\": \"AMSTERNL-RCT1\"" +
                "        }," +
                "        {" +
                "          \"zone-id\": \"JAN1\"," +
                "          \"zone-name\": \"ORFLMATT-JAN1\"" +
                "        }," +
                "        {" +
                "          \"zone-id\": \"ABC14\"," +
                "          \"zone-name\": \"TESAAISA-ABC14\"" +
                "        }," +
                "        {" +
                "          \"zone-id\": \"TAT37\"," +
                "          \"zone-name\": \"TESAAISD-TAT37\"" +
                "        }," +
                "        {" +
                "          \"zone-id\": \"MIC54\"," +
                "          \"zone-name\": \"MICHIGAN-MIC54\"" +
                "        }," +
                "        {" +
                "          \"zone-id\": \"ABC11\"," +
                "          \"zone-name\": \"ATLSANAI-ABC11\"" +
                "        }," +
                "        {" +
                "          \"zone-id\": \"AMF11\"," +
                "          \"zone-name\": \"AMDOCS01-AMF11\"" +
                "        }," +
                "        {" +
                "          \"zone-id\": \"ATL63\"," +
                "          \"zone-name\": \"ATLSANEW-ATL63\"" +
                "        }," +
                "        {" +
                "          \"zone-id\": \"ABC12\"," +
                "          \"zone-name\": \"ATLSECIA-ABC12\"" +
                "        }," +
                "        {" +
                "          \"zone-id\": \"MTN20\"," +
                "          \"zone-name\": \"MDTWNJ21-MTN20\"" +
                "        }," +
                "        {" +
                "          \"zone-id\": \"ABC15\"," +
                "          \"zone-name\": \"AAITESAN-ABC15\"" +
                "        }," +
                "        {" +
                "          \"zone-id\": \"AVT1\"," +
                "          \"zone-name\": \"AVTRFLHD-AVT1\"" +
                "        }," +
                "        {" +
                "          \"zone-id\": \"ATL34\"," +
                "          \"zone-name\": \"ATLSANAI-ATL34\"" +
                "        }" +
                "      ]" +
                "    }";
    }
}
